Overlord Steam Gift Global

Prepare to be tempted, mesmerized and thrilled, become the Overlord, how corrupt you become depends on how you handle any given situation. Your actions impact the game world. With incredible power at your disposal and a team of evil minded minions to do your evil bidding, how will you resist the temptation to be incredibly despotic?
Old price: $4.99
$4.49

About Overlord™

Prepare to be tempted, mesmerized and thrilled, become the Overlord, how corrupt you become depends on how you handle any given situation. Your actions impact the game world. With incredible power at your disposal and a team of evil minded minions to do your evil bidding, how will you resist the temptation to be incredibly despotic? THINK EVIL, BREED EVIL, CONTROL ALL!
Control a horde of Minions
  • Intuitive control over a crowd of evil minded minion creatures
  • Use Minions to smash, destroy, kill, steal and intimidate
Become the Overlord
  • Forge loot from the battlefield into powerful weapons and armour
  • Gain Overlord powers such as the ability to make enemies burst into flames and cower down before you
  • Conquer the world and impose your will on its people
Explore a twisted fantasy world
  • A unique story that combines evil bidding with impish humour
  • Defeat the seven fallen heroes to rule over all the world
Products specifications
Attribute name Attribute value
Language English,French,German,Spanish - Spain
MAC
    MINIMUM
    • OS: Mac OS X 10.9 or later
    • Processor: Intel
    • Memory: 4GB
    • Hard Disk Space: 4.5 GB Free

    Multiplayer is no longer available
Developer Triumph Studios, Virtual Programming
Publisher Codemasters
Review Very Positive - 92% of the 13 user reviews in the last 30 days are positive.
Windows
    MINIMUM
    • Supported OS: Microsoft(R) Windows(R) XP
    • Processor: Pentium 4 2.4 GHz or Athlon XP 2400+
    • RAM: 512MB RAM
    • Hard Drive: 4.5 GB available
    • Video: GeForce FX5900 / Radeon 9500 or above
    • DirectX Version: DirectX 9c
    • Sound: DirectX compatible sound card

    Multiplayer is no longer available

    SUPPORTED GRAPHICS CARDS
    • ATi Radeon: 9500, 9600, 9700, 9800, X300, X600, X700, X800, X1300, X1600, X1800, X1900, X1950
    • nVidia: GeForce FX5900, FX5950, 6600, 6800, 7100, 7300, 7600, 7800, 7900, 7950, 8800

    Not compatible with all integrated sound/graphics solutions (inc. Laptops)
    RECOMMENDED
    • Supported OS: Microsoft® Windows® XP/Vista
    • Processor: Intel Core 2 Duo or Athlon 64 X2
    • RAM: 1GB RAM
    • Video: GeForce 7800 or Radeon X1800
Linux
    MINIMUM
    • OS: Ubuntu 15.10 or similar Linux Distribution
    • Processor: Intel Pentium 4/Similar AMD processor
    • Memory: 4GB
    • Hard Disk Space: 4.5 GB Free
    • Video Card: NVidia/AMD OpenGL level 3.2 compatible
    • Video RAM:512Mb
    • Sound: ALSA/PulseAudio compatible
    • GTK 3

    Multiplayer is no longer available

    RECOMMENDED GRAPHICS DRIVERS
    • nVidia: NVidia 364.19 or better. 331 series are unsupported.
    • AMD: AMD Catalyst (fglrx) 15.12 Crimson
Developer Web http://www.codemasters.com/overlord
Product tags